Name:          libgedit-gfls
Version:       0.2.1
Release:       1mamba
Summary:       A module dedicated to file loading and saving for the needs of gedit and other similar text editors
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.gnome.org/World/gedit/libgedit-gfls
Source:        https://gitlab.gnome.org/World/gedit/libgedit-gfls.git/%{version}/libgedit-gfls-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
libgedit-gfls is part of Gedit Technology.
It is a module dedicated to file loading and saving for the needs of gedit and other similar text editors.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgedit-gfls-1.so.*
%{_libdir}/girepository-1.0/Gfls-1.typelib
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libgedit-gfls-1
%dir %{_includedir}/libgedit-gfls-1/gfls
%{_includedir}/libgedit-gfls-1/gfls/*
%{_libdir}/libgedit-gfls-1.so
%{_datadir}/gir-1.0/Gfls-1.gir
%{_libdir}/pkgconfig/libgedit-gfls-1.pc
%dir %{_datadir}/gtk-doc/html/libgedit-gfls-1
%{_datadir}/gtk-doc/html/libgedit-gfls-1/*
%doc NEWS README.md

%changelog
* Mon Dec 09 2024 Automatic Build System <autodist@openmamba.org> 0.2.1-1mamba
- automatic version update by autodist

* Sat Sep 07 2024 Automatic Build System <autodist@openmamba.org> 0.2.0-1mamba
- automatic version update by autodist

* Sun Jul 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-1mamba
- package created using the webbuild interface
